apr-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 57191] APR compile failure with Visual Studio 2013
Date Tue, 17 Mar 2015 12:14:00 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=57191

--- Comment #4 from Jeff Trawick <trawick@apache.org> ---
>The old API is basically what came with VC6 out of the box. The old VC6 API >will not
compile APR anyway (thanks to an update of apr_ldap sometime in the >past requiring a newer
version of ldap. So this note is a moot point anymore >IMO.

Does this simply mean:

* VC6 compatibility isn't lost; this particular bit of code will require a
newer SDK than was provided with VC6 out of the box, and there are various
reasons you'd already have a newer SDK anyway (IPv6, apr-util's LDAP, maybe
something else)

Any idea what level of SDK is required, for CHANGES?

This whole set of code is essentially one-liners.  What about

#if (defined(_M_IA64) || defined(_M_AMD64))

full function implementations

#elif (new-enough SDK)

full function implementations

#else

old code that would have been used before (supporting old toolchains), replaced
in trunk and 1.6.x branches with #error Upgrade your SDK

#endif

Then we punt on adding a prerequisite now to build APR 1.5.next, but we don't
keep the old junk alive much longer.

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@apr.apache.org
For additional commands, e-mail: bugs-help@apr.apache.org


Mime
View raw message